Log4j 1.2.8

## org.apache.log4j.net
Class SocketNode

    java.lang.Object
      |
      +--org.apache.log4j.net.SocketNode

All Implemented Interfaces:
  Runnable

public class SocketNode
extends Object
implements Runnable

Read `LoggingEvent` objects sent from a remote client using Sockets (TCP). These logging events are logged according to local policy, as if they were generated locally.

For example, the socket node might decide to log events to a local file and also resent them to a second socket node.

Since:
  0.8.4
Author:
  Ceki Gülcü

Constructor Summary
`SocketNode(Socket socket, LoggerRepository hierarchy)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketNode

    public SocketNode(Socket socket,
                      LoggerRepository hierarchy)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Log4j 1.2.8

Copyright 2000-2002 Apache Software Foundation.